All Vulnerability Reports

USN-4233-1: GnuTLS update


Severity

Unknown

Vendor

Canonical Ubuntu

Versions Affected
  • Canonical Ubuntu 16.04
  • Canonical Ubuntu 18.04
Description

As a security improvement, this update marks SHA1 as being untrusted for digital signature operations.

Affected Pivotal Products and Versions

Severity is unknown unless otherwise noted.

Vulnerable Cloud Foundry components individually listed here.

Impacted stemcells may be updated independently of upgrading Pivotal Application Service or PCF Isolation Segment.

  • Pivotal Application Service (PAS)
    • 2.4 versions prior to 2.4.16
    • 2.5 versions prior to 2.5.20
    • 2.6 versions prior to 2.6.15
    • 2.7 versions prior to 2.7.9
    • 2.8 versions prior to 2.8.3
  • Pivotal Greenplum for Kubernetes
    • All versions prior to 1.12.0
  • Pivotal Isolation Segment
    • 2.5 versions prior to 2.5.19
    • 2.6 versions prior to 2.6.14
    • 2.7 versions prior to 2.7.9
    • 2.8 versions prior to 2.8.3
  • Pivotal Operations Manager
    • 2.5 versions prior to 2.5.28
    • 2.6 versions prior to 2.6.21
    • 2.7 versions prior to 2.7.11
    • 2.8 versions prior to 2.8.3
  • Pivotal Platform Automation
    • 3.0 versions prior to 3.0.16
    • 4.0 versions prior to 4.0.9
    • 4.1 versions prior to 4.1.9
    • 4.2 versions prior to 4.2.4
Mitigation

Users of affected products are strongly encouraged to follow the mitigation below. The Cloud Foundry security team recommends upgrading the affected OSS components listed here if applicable. Upgrade Pivotal products that use earlier versions of CF components to new Pivotal releases using new versions linked above. On the Pivotal Network product page for each release, check the Depends On section and/or Release Notes for this information. Releases that have fixed this issue include:

  • Pivotal Application Service (PAS)
    • 2.4.16
    • 2.5.20
    • 2.6.15
    • 2.7.9
    • 2.8.3
  • Pivotal Greenplum for Kubernetes
    • 1.12.0
  • Pivotal Isolation Segment
    • 2.5.19
    • 2.6.14
    • 2.7.9
    • 2.8.3
  • Pivotal Operations Manager
    • 2.5.28
    • 2.6.21
    • 2.7.11
    • 2.8.3
  • Pivotal Platform Automation
    • 3.0.16
    • 4.0.9
    • 4.1.9
    • 4.2.4
References
History

2020-01-09: Initial vulnerability report published.